# eric6.E5XML.DebuggerPropertiesReader

Module implementing a class for reading an XML project debugger properties file.

### Global Attributes

None

### Classes

DebuggerPropertiesReader | Class for reading an XML project debugger properties file.

### Functions

None

## DebuggerPropertiesReader

Class for reading an XML project debugger properties file.

### Derived from

XMLStreamReaderBase

### Class Attributes

supportedVersions

### Class Methods

None

### Methods

DebuggerPropertiesReader | Constructor
__readPathTranslation | Private method to read the path translation info.
__readRemoteDebugger | Private method to read the remote debugger info.
readXML | Public method to read and parse the XML document.

### Static Methods

None

#### DebuggerPropertiesReader (Constructor)

DebuggerPropertiesReader(device, project)

Constructor

device
  reference to the I/O device to read from (QIODevice)
project
  Reference to the project object to store the information into.

#### DebuggerPropertiesReader.__readPathTranslation

__readPathTranslation()

Private method to read the path translation info.

#### DebuggerPropertiesReader.__readRemoteDebugger

__readRemoteDebugger()

Private method to read the remote debugger info.

#### DebuggerPropertiesReader.readXML

readXML(quiet=False)

Public method to read and parse the XML document.

quiet
  flag indicating quiet operations. If this flag is true, no errors are reported.

Up